/**************************************************************

list.h (C-Munipack project)
Copyright (C) 2003 David Motl, dmotl@volny.cz

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**************************************************************/

#ifndef CMPACK_LISTER_H
#define CMPACK_LISTER_H

#include "cmpack_list.h"
#include "context.h"
#include "console.h"
#include "stars.h"
#include "stddev.h"
#include "diffmag.h"
#include "instmag.h"
#include "trklist.h"

/* List process context */
struct _CmpackLister
{
	CmpackContext gc;			/**< Global context */
	CmpackConsole *con;			/**< Console */
	int format;					/**< Output format identifier */
	int flags;					/**< Output format modifiers */
	char *filename;				/**< Do not close the table */
	CmpackTable *tab;			/**< Output table context */
	int aperture;				/**< Aperture index */
	double ap_radius;			/**< Aperture radius in pixels */
	CmpackStarList var;			/**< Measurements of variable stars */
	CmpackStarList comp;		/**< Measurements of comparison stars */
	CmpackStarList chk;			/**< Measurements of check stars */
	char *filter;				/**< Optical filter name */
	CmpackStddevFrameList dflist;	/**< Frame data for stddev format */
	CmpackStddevAperList dalist;	/**< Aperture data for stddev format */
	int nframes;				/**< Number of frames processed */
};

#endif
