/**************************************************************

sky.c (C-Munipack project)
Copyright (C) 2003 David Motl, dmotl@volny.cz

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**************************************************************/

#include <stdlib.h>

#include "comfun.h"
#include "robmean.h"
#include "cmpack_common.h"
#include "cmpack_phot.h"
#include "phot.h"
#include "phfun.h"
#include "sky.h"

int Sky(CmpackPhotFrame *frame, int max_sky)
{
	int y, x, pixels;
	double *temp, value;


    /* Median computation */
	temp = cmpack_malloc(frame->ncol*frame->nrow*sizeof(double));
	pixels = 0;
	for (y=frame->border.top; y<frame->nrow-frame->border.bottom; y++) {
		for (x=frame->border.left; x<frame->ncol-frame->border.right; x++) {
			value = frame->ccd[x+y*frame->ncol];
			temp[pixels++] = value;
		}
	}
	if (pixels>0) {
		cmpack_robustmean(pixels, temp, &frame->skymod, &frame->skysig);
	} else {
		frame->skymod = frame->skysig = 0;
	}
	cmpack_free(temp);
  
	/*cmpack_fastmean(frame->ncol*frame->nrow, frame->ccd, max_sky, frame->datalo, 
	  frame->datahi, &frame->skymod, &frame->skysig); */
        
  /* Normal return */
  return 0;
}
