/**************************************************************

stars.h (C-Munipack project)
Table of selected stars
Copyright (C) 2003 David Motl, dmotl@volny.cz

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**************************************************************/

#ifndef LIST_STARS_H
#define LIST_STARS_H

/*********************   Datatypes   ******************************/

/* Star attributes */
struct _CmpackStar
{
	int id;					/**< Star identifier */
	int mask;				/**< Bitmask of valid fields */
	double mag, err;		/**< Magnitude and error */
};
typedef struct _CmpackStar CmpackStar;

/* List of selected stars */
struct _CmpackStarList
{
	CmpackStar *list;		/**< List of star descriptors */
	int	count;				/**< Number of items */
};
typedef struct _CmpackStarList CmpackStarList;

/********************   Public functions    ***********************/

/* Init table */
void list_st_init(CmpackStarList *tab);
	
/* Clear table */
void list_st_clear(CmpackStarList *tab);
	
/* Set table from an array */
void list_st_set(CmpackStarList *tab, const int *items, int nitems);
	
/* Set table from an array */
void list_st_get(CmpackStarList *tab, int **items, int *nitems);

#endif
