/**************************************************************

airmass_dlg.h (C-Munipack project)
Air-mass coefficient dialog
Copyright (C) 2008 David Motl, dmotl@volny.cz

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**************************************************************/

#ifndef CMPACK_AIRMASS_DLG_H
#define CMPACK_AIRMASS_DLG_H

#include <gtk/gtk.h>

class CAirMassDlg
{
public:
	CAirMassDlg(GtkWindow *pParent);
	~CAirMassDlg();

	void Execute();
private:
	GtkWidget		*m_pDlg;
	GtkWidget		*m_RA, *m_Dec, *m_Lon, *m_Lat, *m_JD, *m_AMass;

	static bool		ms_NoInput;
	static bool		ms_ValidJD, ms_ValidRA, ms_ValidDec, ms_ValidLon, ms_ValidLat;
	static double	ms_LastLon, ms_LastLat, ms_LastJD, ms_LastRA, ms_LastDec;

	static void response_dialog(GtkDialog *pDlg, gint response_id, CAirMassDlg *pMe);
	static void button_clicked(GtkWidget *widget, CAirMassDlg *user_data);

	void GetData(void);
	void SetData(void);
};

#endif
