/**************************************************************

chart.h (C-Munipack project)
Widget which can draw a chart
Copyright (C) 2008 David Motl, dmotl@volny.cz

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**************************************************************/

#ifndef MUNIWIN_CHART_EX_H
#define MUNIWIN_CHART_EX_H

#include <gtk/gtk.h>

#include "callback.h"
#include "project.h"
#include "chart.h"

class CChartEx:public CChartBase
{
public:

public:
	// Constructor
	CChartEx();

	// Destructor
	virtual ~CChartEx();

	// Get handle to the drawing area
	GtkWidget *Handle(void)
	{ return m_ScrWnd; }

	// Change zoom factor
	void SetZoom(double zoom);

	// Zoom in
	void ZoomIn(void);

	// Zoom out
	void ZoomOut(void);

	// Get current zoom factor
	double Zoom(void) const
	{ return m_Zoom; }

private:
	GtkWidget		*m_ScrWnd;					// Scrolled window
	int				m_Width, m_Height;
	int				m_ZIndexMin, m_ZIndexMax;	// Zoom limits (indices to the zoom table)

	virtual void OnImageSizeChanged(void);
};

#endif
