/**************************************************************

chartexportdlg.h (C-Munipack project)
Export chart dialog
Copyright (C) 2008 David Motl, dmotl@volny.cz

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**************************************************************/

#ifndef CMPACK_CHARTEXPORT_DLG_H
#define CMPACK_CHARTEXPORT_DLG_H

#include "chart.h"

class CChartExportDlg
{
public:
	// Constructor
	CChartExportDlg(GtkWindow *pParent);

	// Destructor
	virtual ~CChartExportDlg();

	// Display dialog
	void Execute(const CChart *pChart);

private:
	GtkWidget		*m_pDlg, *m_Relative, *m_Absolute;
	GtkWidget		*m_RelWidth, *m_RelHeight, *m_AbsHeight, *m_AbsWidth;
	GtkWidget		*m_RWLabel, *m_RHLabel, *m_RelUnit, *m_AHLabel, *m_AWLabel, *m_AbsUnit;
	const CChart	*m_pChart;
	int				m_ChartWidth, m_ChartHeight;
	int				m_ImageWidth, m_ImageHeight;
	bool			m_Updating;

	void SetMode(bool relative);
	bool SaveChart(const char *filename, int width, int height);
	double LimitZoom(double zoom);
	bool OnResponseDialog(gint response_id);
	void OnValueChanged(GtkSpinButton *spinbutton);
	void OnToggled(GtkToggleButton *togglebutton);

	static void response_dialog(GtkWidget *widget, gint response_id, CChartExportDlg *pMe);
	static void value_changed(GtkSpinButton *spinbutton, CChartExportDlg *pMe);
	static void toggled(GtkToggleButton *togglebutton, CChartExportDlg *pMe);
};

#endif
