/**************************************************************

preview_dlg.h (C-Munipack project)
The preview dialog
Copyright (C) 2008 David Motl, dmotl@volny.cz

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**************************************************************/

#ifndef CMPACK_INFOBOX_H
#define CMPACK_INFOBOX_H

#include <gtk/gtk.h>

#include "chart_ex.h"

class CInfoBox
{
public:
	// Constructor
	CInfoBox();

	// Destructor
	virtual ~CInfoBox();

	// Clear the box
	void Clear(void);

	// Add heading (bold text)
	void AddHeading(int id, int col, int row, const char *caption = NULL, const char *color = NULL);
	void AddField(int id, int col, int row, const char *label);

	// Add single field
	void SetHeading(int id, const char *caption, const char *color);
	void SetField(int id, int value, const char *unit = NULL);
	void SetField(int id, double value, int prec = 2, const char *unit = NULL);
	void SetField(int id, const char *value);

	// Display dialog
	void Show(bool show);

	// Handle
	GtkWidget *Handle() const
	{ return m_Frame; }

	// Is the widget visible?
	bool Visible() const
	{ return m_Visible; }

private:
	bool			m_Visible;
	GtkWidget		*m_Frame, *m_Table;
	GList			*m_Labels;
};

#endif
