/**************************************************************

main.cpp (C-Munipack project)
Main module
Copyright (C) 2008 David Motl, dmotl@volny.cz

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**************************************************************/

//#ifdef _MSC_VER
//#define _CRTDBG_MAP_ALLOC
//#endif

#include <stdlib.h>
//#include <crtdbg.h>
#include <locale.h>
#include <gtk/gtk.h>
#include <glib.h>
#include <cmunipack.h>

#include "main_dlg.h"
#include "progress_dlg.h"
#include "configuration.h"
#include "main.h"

tGlobal Global = { NULL };

/*
static gpointer my_malloc(gsize n_bytes)
{
	return malloc(n_bytes);
}

static gpointer my_realloc(gpointer mem, gsize n_bytes)
{
	return realloc(mem, n_bytes);
}

static void my_free(gpointer mem)
{
	free(mem);
}

static GMemVTable my_vtable =
{ 
	my_malloc, my_realloc, my_free 
};*/

int main (int argc, char *argv[])
{
	setlocale(LC_ALL, "C");
	gtk_disable_setlocale();

	//_CrtSetDbgFlag(_CRTDBG_ALLOC_MEM_DF);
	//g_mem_set_vtable(&my_vtable);

	// Init GTK
	g_thread_init(NULL);
	gdk_threads_init();
	gdk_threads_enter();
	gtk_init(&argc, &argv);

	//_CrtMemState state;
	//_CrtMemCheckpoint(&state);

	// Init C-Munipack
	cmpack_init();

	// Make global data
	CConfig::Init();
	CProgressDlg::InitBuffer();
	Global.pProject = new CProject();
	Global.pMainWnd = new CMainWindow();

	// Main event loop
	gtk_main();

	// Clean up
	delete Global.pMainWnd;
	delete Global.pProject;
	CProgressDlg::FreeBuffer();
	CConfig::Free();

	cmpack_cleanup();
	gdk_threads_leave();

	//_CrtMemDumpAllObjectsSince(&state);
	return 0;
}
